libsigc++ 2.3.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::pointer_functor0< T_return > Class Template Reference
ptr_fun()

pointer_functor0 wraps existing non-member functions with 0 argument(s). More...

`#include <sigc++/functors/ptr_fun.h>`

Inheritance diagram for sigc::pointer_functor0< T_return >:
[legend]

## Public Types

typedef T_return | result_type

## Public Member Functions

| pointer_functor0 ()
| Constructs an invalid functor.
| pointer_functor0 (function_type _A_func)
| Constructs a pointer_functor0 object that wraps an existing function.
T_return | operator() () const
| Execute the wrapped function.

## Protected Attributes

function_type | func_ptr_

## Detailed Description

### template<class T_return>
class sigc::pointer_functor0< T_return >

pointer_functor0 wraps existing non-member functions with 0 argument(s).

Use the convenience function ptr_fun() to create an instance of pointer_functor0.

The following template arguments are used:

- T_return The return type of operator()().

## Constructor & Destructor Documentation

template <class T_return >

sigc::pointer_functor0< T_return >::pointer_functor0 | ( | function_type | _A_func | ) |

inline explicit

Constructs a pointer_functor0 object that wraps an existing function.

Parameters

  _A_func | Pointer to function that will be invoked from operator()().

## Member Function Documentation

template <class T_return >

T_return sigc::pointer_functor0< T_return >::operator() | ( |  | ) | const

inline

Execute the wrapped function.

Returns
  The return value of the function invocation.